%MeshDataMagn.m
%%%%%%%%%%%%%%
%Input data for the computational mesh used in the magnetic FEMM simulation

function [MeshStatorLam,MeshSlot,MeshAirGap,MeshWedge,...
          MeshRotor,MeshShaft,MeshEnc,NoOfArcSegments]=MeshDataMagn(StatorRad,RotorRad,AirGapHeight)

%Mesh density variables%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
MeshStatorLam=2*0.1*(StatorRad-RotorRad); %Max length of mesh elements [m]
MeshSlot=MeshStatorLam;                 %Max length of mesh elements [m]
MeshAirGap=0.1*AirGapHeight;            %Max length of mesh elements [m]
MeshWedge=MeshStatorLam;                %Max length of mesh elements [m]
MeshRotor=MeshStatorLam;                %Max length of mesh elements [m]
MeshShaft=MeshStatorLam;                %Max length of mesh elements [m]
MeshEnc=MeshStatorLam;                  %Max length of mesh elements [m]
NoOfArcSegments=3;                      %Number of segments in one arc [-]